﻿using System;
using System.IO;

namespace LoginApp
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            try
            {
                if (String.IsNullOrWhiteSpace(txtFileName.Text.ToString()) || String.IsNullOrWhiteSpace(txtFileContent.Text.ToString()))
                    lblInfo.Text = "Please enter File name and its content";
                else
                    WriteToFile(txtFileName.Text.ToString(), txtFileContent.Text.ToString());
            }
            catch(Exception ex)
            {
                lblInfo.Text = ex.Message.ToString();
            }
        }

        public void WriteToFile(string fileName, string fileContent)
        {
            try
            {
                fileName += ".txt";
                string FolderPath = @"D:\FileWriter\";
                if (!Directory.Exists(FolderPath))
                    Directory.CreateDirectory(FolderPath);

                if (!File.Exists(FolderPath + fileName))
                    File.Create(FolderPath + fileName).Close();

                StreamWriter stream = new StreamWriter(FolderPath + fileName, true);
                stream.WriteLine(fileContent);
                stream.Close();

                lblInfo.Text = "Text written to file.";
            }
            catch (Exception ex)
            {
                lblInfo.Text = "Error occurred:"+ex.Message.ToString();
            }
        }
    }
}